precision highp float;

uniform mat4 modelViewProjectionMatrix;
uniform mat4 normalMatrix;

attribute vec4 inPosition;
attribute vec4 inNormal;
attribute mediump vec2 inTexcoord;
varying vec2 varTexcoord;
varying lowp vec4 varColor;

const vec4 ambient = vec4(0.5, 0.5, 0.5, 1.0);
const vec4 diffuse = vec4(0.5, 0.5, 0.5, 1.0);

void main (void) 
{
	gl_Position	= modelViewProjectionMatrix * inPosition;
    varTexcoord = inTexcoord;

    vec4 tmp = normalMatrix * inNormal;
    varColor=ambient+(diffuse*tmp.g);
}
